Package be.fgov.ehealth.hubservices.core.v3

# Class HcpartyType

java.lang.Object
be.fgov.ehealth.hubservices.core.v3.HcpartyType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:13:03+02:00", comments="JAXB RI v4.0.5") public class HcpartyType extends Object implements Serializable

Java class for hcpartyType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="hcpartyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-HCPARTY" maxOccurs="unbounded" minOccurs="0"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-HCPARTY" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HcpartyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CDHCPARTY>`
  `getCds()`
  Gets the value of the cds property.
  `List<IDHCPARTY>`
  `getIds()`
  Gets the value of the ids property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HcpartyType

    public HcpartyType()

- ## Method Details

  - ### getIds

    public List<IDHCPARTY> getIds()
    Gets the value of the ids property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

    For example, to add a new item, do as follows:

         getIds().add(newItem);

    Objects of the following type(s) are allowed in the list `IDHCPARTY`

    Returns:
      The value of the ids property.

  - ### getCds

    public List<CDHCPARTY> getCds()
    Gets the value of the cds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

    For example, to add a new item, do as follows:

         getCds().add(newItem);

    Objects of the following type(s) are allowed in the list `CDHCPARTY`

    Returns:
      The value of the cds property.